GET checks/browser/{checkId}/results/{resultId}/screenshots
Gets information about screenshots for a browser check result.
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
| resultId | Check result identifier. Type: GUID. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Request example
curl --request GET "https://api-asm2.apica.io/v3/checks/browser/12345/results/b1d01c2d-341d-4b7b-be0c-02e290483fd4/screenshots?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": "10c6a420-b746-445e-9549-58dd7674e244",
"index": 0,
"timestamp_utc": "2026-10-19T10:34:16",
"image_type": "IMAGE/JPEG"
},
{
"id": "1ce7311e-984c-4b44-8ba5-c66f2ea6ef56",
"index": 0,
"timestamp_utc": "2026-10-19T10:34:16",
"image_type": "IMAGE/JPEG"
},
{
"id": "65cb74e1-28a8-4308-a0f0-e43715ab0c95",
"index": 0,
"timestamp_utc": "2026-10-19T10:34:16",
"image_type": "IMAGE/JPEG"
}
]